package org.jeecg.modules.newWarning.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.newWarning.entity.TabQi;

import java.util.Date;
import java.util.List;

/**
 * @author Zhao RenJi
 */
public interface TabQiService extends IService<TabQi> {

    Page<TabQi> selectListPage(String tableName, QueryWrapper<TabQi> queryWrapper,Page<TabQi> page);

    public List<TabQi> selectList(String tableName,QueryWrapper<TabQi> queryWrapper);

    JSONObject getSmoothInterval(TabQi tabQi);

    public void delRedisJh(String tableName);

    TabQi selectOne(String tableName, QueryWrapper<TabQi> queryWrapper);

    public TabQi selectOneOrcale(String tableName);

    long timeDifference(Date startTime, Date endTime);
}
